: Class JDCConnectionDriver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Free.DBPool
Class JDCConnectionDriver

    java.lang.Object
      |
      +--Free.DBPool.JDCConnectionDriver

All Implemented Interfaces:
  java.sql.Driver

public class JDCConnectionDriver
extends java.lang.Object
implements java.sql.Driver

The class could be regarded as pseudo-driver or wrapper driver which provides driver services to the FREE applications on behalf of the 'real' JDBC driver through the connection pool. Code originates from Java Developer Connection.

Field Summary
`static java.lang.String` | `URL_PREFIX`

Constructor Summary
`JDCConnectionDriver(java.lang.String driver, java.lang.String url, java.lang.String user, java.lang.String password)`

Method Summary
`boolean` | `acceptsURL(java.lang.String url)`
`java.sql.Connection` | `connect(java.lang.String url, java.util.Properties props)`
`int` | `getMajorVersion()`
`int` | `getMinorVersion()`
`java.sql.DriverPropertyInfo[]` | `getPropertyInfo(java.lang.String str, java.util.Properties props)`
`boolean` | `jdbcCompliant()`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URL_PREFIX

    public static final java.lang.String URL_PREFIX

Constructor Detail

### JDCConnectionDriver

    public JDCConnectionDriver(java.lang.String driver,
                               java.lang.String url,
                               java.lang.String user,
                               java.lang.String password)
                        throws java.lang.ClassNotFoundException,
                               java.lang.InstantiationException,
                               java.lang.IllegalAccessException,
                               java.sql.SQLException

Method Detail

### connect

    public java.sql.Connection connect(java.lang.String url,
                                       java.util.Properties props)
                                throws java.sql.SQLException

  Specified by:
    `connect` in interface `java.sql.Driver`

### acceptsURL

    public boolean acceptsURL(java.lang.String url)

  Specified by:
    `acceptsURL` in interface `java.sql.Driver`

### getMajorVersion

    public int getMajorVersion()

  Specified by:
    `getMajorVersion` in interface `java.sql.Driver`

### getMinorVersion

    public int getMinorVersion()

  Specified by:
    `getMinorVersion` in interface `java.sql.Driver`

### getPropertyInfo

    public java.sql.DriverPropertyInfo[] getPropertyInfo(java.lang.String str,
                                                         java.util.Properties props)

  Specified by:
    `getPropertyInfo` in interface `java.sql.Driver`

### jdbcCompliant

    public boolean jdbcCompliant()

  Specified by:
    `jdbcCompliant` in interface `java.sql.Driver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD